package v2role_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type V2RoleUpdateMemberRequest struct {
	RoleInfo     *common.RoleInfoRequest   `json:"roleInfo"`
	RoleMembers  *common.RoleMemberRequest `json:"roleMembers"`
	OperatorInfo *common.UserInfoRequest   `json:"operatorInfo,omitempty"`
}

func (obj V2RoleUpdateMemberRequest) GetUrl() string {
	return "/v2/role/update/member"
}

func (obj V2RoleUpdateMemberRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
